aboutsummaryrefslogtreecommitdiff
path: root/bin/td
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-18 14:35:16 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-18 14:35:16 +1200
commit4f9541f1f5e193e252a890062cd01970f2204619 (patch)
treedf091379910710735c2f8db961ecbcc28cd3dd25 /bin/td
parentUpdate submodules (diff)
downloaddotfiles-4f9541f1f5e193e252a890062cd01970f2204619.tar.gz
dotfiles-4f9541f1f5e193e252a890062cd01970f2204619.zip
Suppress stderr from command -v checks
Now I remember--old Bash prints failure messages to stderr for this call. That'll be why I was suppressing both streams initially.
Diffstat (limited to 'bin/td')
-rwxr-xr-xbin/td2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/td b/bin/td
index 5088f572..90df92d9 100755
--- a/bin/td
+++ b/bin/td
@@ -12,7 +12,7 @@ file=${1:-"${TODO_NAME:-todo}"}
cd -- "$dir" || exit
# If the current directory isn't a Git repository, try to create one
-if ! command -v isgr >/dev/null ; then
+if ! command -v isgr >/dev/null 2>&1 ; then
printf >&2 'isgr: command not found\n'
exit 1
fi